<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package preslav
 */

do_action('preslav_footer');
?>

<footer id="colophon" class="site-footer" role="complementary" aria-label="<?php esc_attr_e( 'Footer', 'preslav' ); ?>">
	<div class="footer-content">
	<?php //Add content to the footer
		if ( is_active_sidebar( 'sidebar-1' ) || is_active_sidebar( 'sidebar-2' ) ) : ?>
			<div class="widget-area" aria-label="<?php esc_attr_e( 'Footer Widget Area', 'preslav' ); ?>">
				<?php
				if ( is_active_sidebar( 'sidebar-1' ) ) : ?>
				<div class="widget-column footer-widget-1">
					<?php dynamic_sidebar( 'sidebar-1' ); ?>
				</div>
				<?php endif;
				if ( is_active_sidebar( 'sidebar-2' ) ) : ?>
				<div class="widget-column footer-widget-2">
					<?php dynamic_sidebar( 'sidebar-2' ); ?>
				</div>
				<?php endif;
				if ( is_active_sidebar( 'sidebar-3' ) ) : ?>
				<div class="widget-column footer-widget-3">
					<?php dynamic_sidebar( 'sidebar-3' ); ?>
				</div>
				<?php endif;
				if ( is_active_sidebar( 'sidebar-4' ) ) : ?>
				<div class="widget-column footer-widget-2">
					<?php dynamic_sidebar( 'sidebar-4' ); ?>
				</div>
				<?php endif; ?>
			</div><!-- .widget-area -->
		<?php endif; ?>
		<div class="site-info">
		<?php do_action('preslav_theme_footer_credits_hook'); ?>
		</div><!-- .site-info -->
	</div>
</footer><!-- #colophon -->
</div><!-- #page -->
<?php wp_footer(); ?>
</body>
</html>