<?php
function preslav_register_general_settings_customizer( $wp_customize ) {
	$wp_customize->add_section(
		'general_settings',
		array(
			'title'       => esc_html__( 'General Settings', 'preslav' ),
			'description' => esc_html__( 'Customize the way the website is displayed. Enable custom cursor - go pro version.', 'preslav' ),
		)
	);

	$wp_customize->add_setting(
		'has_back_to_top',
		array(
			'default'           => 1,
			'sanitize_callback' => 'preslav_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'has_back_to_top',
		array(
			'label'   => esc_html__( 'Show Back to Top Button', 'preslav' ),
			'section' => 'general_settings',
			'type'    => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'has_loader',
		array(
			'default'           => 1,
			'sanitize_callback' => 'preslav_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'has_loader',
		array(
			'label'   => esc_html__( 'Enable Page Loader on Homepage', 'preslav' ),
			'section' => 'general_settings',
			'description' => esc_html__( 'Show a loading spinner while the page is loaded', 'preslav' ),
			'type'    => 'checkbox',
		)
	);

}

add_action( 'customize_register', 'preslav_register_general_settings_customizer' );
