<?php

function preslav_starter_content_setup() {

	add_theme_support(
		'starter-content',
		array(
			'posts'      => array(
				'home'         => require __DIR__ . '/home.php',
				'about'        => require __DIR__ . '/about.php',
				'how-it-works' => require __DIR__ . '/how-it-works.php',
				'services'     => require __DIR__ . '/services.php',
				'careers'      => require __DIR__ . '/careers.php',
				'blog',
				'contact'      => require __DIR__ . '/contact.php',
			),

			'widgets' => array(
				'sidebar-1' => require __DIR__ . '/sidebar-1.php',
				'sidebar-2' => require __DIR__ . '/sidebar-2.php',
				'sidebar-3' => require __DIR__ . '/sidebar-3.php',
				'sidebar-4' => require __DIR__ . '/sidebar-4.php',
			),

			'options'    => array(
				'show_on_front'  => 'page',
				'page_on_front'  => '{{home}}',
				'page_for_posts' => '{{blog}}',
			),

			'theme_mods' => array(
				'homepage_has_transparent_header' => 'true',
			),

			'nav_menus'  => array(
				'menu-1' => array(
					'name'  => __( 'Primary', 'preslav' ),
					'items' => array(
						'page_home',
						'page_about',
						'page_how-it-works' => array(
							'type'      => 'post_type',
							'object'    => 'page',
							'object_id' => '{{how-it-works}}',
						),
						'page_service'      => array(
							'type'      => 'post_type',
							'object'    => 'page',
							'object_id' => '{{services}}',
						),
						'page_pricing'      => array(
							'type'      => 'post_type',
							'object'    => 'page',
							'object_id' => '{{careers}}',
						),
						'page_blog',
						'page_contact',
					),
				),
			),
		)
	);
}
add_action( 'after_setup_theme', 'preslav_starter_content_setup' );
